<?xml version="1.0" encoding="ISO-8859-1" ?>

<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
          "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd"
>

<struts-config>
	<!-- ========== View Bean Definitions =================================== -->
	<form-beans>

		<!-- TAC Request -->
		<form-bean name="tacView" type="org.apache.struts.action.DynaActionForm">
			<form-property name="generatedTAC" type="java.lang.String" />
			<form-property name="mobileNo" type="java.lang.String" />
			<form-property name="dateTimeDisplay" type="java.lang.String" />
			<form-property name="dateDisplay" type="java.lang.String" />
			<form-property name="timeDisplay" type="java.lang.String" />
			<form-property name="serviceInfoBean" type="org.apache.commons.beanutils.DynaBean"/>
		</form-bean>
		
		<form-bean name="smsView" type="org.apache.struts.action.DynaActionForm">
			<form-property name="service" type="java.lang.String" />
			<form-property name="type" type="java.lang.String" />
			<form-property name="amount" type="java.lang.String" />
			<form-property name="dateTimeDisplay" type="java.lang.String" />
			<form-property name="beneName" type="java.lang.String" />
		</form-bean>

		<!-- Block ATM -->
		<form-bean name="blockAtmView" type="org.apache.struts.action.DynaActionForm">
			<form-property name="serviceInfoBean" type="org.apache.commons.beanutils.DynaBean"/>
			<form-property name="isResultSuccessful" type="java.lang.Boolean" />
			<form-property name="status" type="java.lang.String"/>
			<form-property name="statusMessage" type="java.lang.String"/>
			<form-property name="referenceNo" type="java.lang.String" />
			<form-property name="transID" type="java.lang.String"/>
			<form-property name="transDate" type="java.lang.String" />
			<form-property name="transTime" type="java.lang.String" />
		</form-bean>

	</form-beans>

</struts-config>